path: /build/build/xcb-util-x11-libs-0.4.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ppc-aix -test -x86-winnt" emerge x11-libs/xcb-util -pv -t && \
    USE="-doc -ppc-aix -test -x86-winnt" emerge -j ${JOBS} --nodeps x11-libs/xcb-util
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xcb-util && luet-portage --dir /pkgdir/xcb-util
    x11-libs/xcb-util && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f78bf16e56bc1a68f3951225fed8d7b72ad0c8e78b2c9b927ac72cfc68723be
  package:
    name: xcb-util
    version: 0.4.0
    category: x11-libs
    use_flags:
    - -doc
    - -ppc-aix
    - -test
    - -x86-winnt
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: X C-language Bindings sample implementations
    uri:
    - https://xcb.freedesktop.org/
    license: MIT
    buildtimestamp: 2023-08-22 17:54:17.636475268 +0000 UTC m=+100.145586633
    labels:
      DEPEND: '>=x11-libs/libxcb-1.9.1:=[-mgorny(-)] >=dev-util/gperf-3.0.1 test?
        ( >=dev-libs/check-0.9.11[-mgorny(-)] ) >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a
        sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) x86-winnt?
        ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0
        ) virtual/pkgconfig[-mgorny(-)] doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor
        ) app-text/xmlto app-doc/doxygen app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2
        app-text/docbook-xml-dtd:4.3 ) )'
      IUSE: test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64 static-libs doc
      RDEPEND: '>=x11-libs/libxcb-1.9.1:=[-mgorny(-)]'
      emerge.packages: x11-libs/xcb-util
      kit: core-gl-kit
      original.package.name: x11-libs/xcb-util
      original.package.slot: "0"
      original.package.version: 0.4.0-r1
    treedir: /build/packages
  package_dir: /pkgdir/xcb-util
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5831b8b56bfe6cad28f546b9e29bbdfa4db0c54d358fc3e48109850c29b42dca
compressiontype: zstd
files:
- usr/include/xcb/xcb_atom.h
- usr/include/xcb/xcb_aux.h
- usr/include/xcb/xcb_event.h
- usr/include/xcb/xcb_util.h
- usr/lib64/libxcb-util.so
- usr/lib64/libxcb-util.so.1
- usr/lib64/libxcb-util.so.1.0.0
- usr/lib64/pkgconfig/xcb-atom.pc
- usr/lib64/pkgconfig/xcb-aux.pc
- usr/lib64/pkgconfig/xcb-event.pc
- usr/lib64/pkgconfig/xcb-util.pc
- usr/share/doc/xcb-util-0.4.0-r1/ChangeLog.bz2
- usr/share/doc/xcb-util-0.4.0-r1/NEWS.bz2
- usr/share/doc/xcb-util-0.4.0-r1/README.bz2
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/BUILD_TIME
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/CATEGORY
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/CBUILD
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/CFLAGS
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/CHOST
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/CONTENTS
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/COUNTER
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/CXXFLAGS
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/DEFINED_PHASES
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/DEPEND
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/DESCRIPTION
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/EAPI
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/FEATURES
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/HOMEPAGE
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/INHERITED
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/IUSE
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/KEYWORDS
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/LDFLAGS
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/LICENSE
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/NEEDED
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/PDEPEND
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/PF
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/PROVIDES
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/RDEPEND
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/REQUIRES
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/SIZE
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/SLOT
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/USE
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/environment.bz2
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/repository
- var/db/pkg/x11-libs/xcb-util-0.4.0-r1/xcb-util-0.4.0-r1.ebuild
package_cacheimage: ""
runtime:
  name: xcb-util
  version: 0.4.0
  category: x11-libs
  use_flags:
  - -doc
  - -ppc-aix
  - -test
  - -x86-winnt
  requires:
  - name: libxcb
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: X C-language Bindings sample implementations
  uri:
  - https://xcb.freedesktop.org/
  license: MIT
  labels:
    DEPEND: '>=x11-libs/libxcb-1.9.1:=[-mgorny(-)] >=dev-util/gperf-3.0.1 test? (
      >=dev-libs/check-0.9.11[-mgorny(-)] ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18
      >=media-fonts/font-util-1.2.0 ) x86-winnt? ( >=sys-devel/libtool-2.2.6a sys-devel/m4
      >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) virtual/pkgconfig[-mgorny(-)]
      doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor ) app-text/xmlto app-doc/doxygen
      app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2 app-text/docbook-xml-dtd:4.3
      ) )'
    IUSE: test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64 static-libs doc
    RDEPEND: '>=x11-libs/libxcb-1.9.1:=[-mgorny(-)]'
    emerge.packages: x11-libs/xcb-util
    kit: core-gl-kit
    original.package.name: x11-libs/xcb-util
    original.package.slot: "0"
    original.package.version: 0.4.0-r1
